summary refs log tree commit diff
path: root/home/.bin/up
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
committerJune McEnroe <june@causal.agency>2017-07-25 22:10:32 -0400
commitd3aa30927d962a2e8550c5979bce6b3bdb6dda2d (patch)
tree0afd62542d8f2c01926e380977fa1bd7dff5f7a2 /home/.bin/up
parentAutopickup rings (diff)
downloadsrc-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.tar.gz
src-d3aa30927d962a2e8550c5979bce6b3bdb6dda2d.zip
Add up, sup
Diffstat (limited to 'home/.bin/up')
-rwxr-xr-xhome/.bin/up12
1 files changed, 12 insertions, 0 deletions
diff --git a/home/.bin/up b/home/.bin/up
new file mode 100755
index 00000000..3a25e112
--- /dev/null
+++ b/home/.bin/up
@@ -0,0 +1,12 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+ts=$(date +%s)
+rand=$(openssl rand -hex 4)
+ext=${1##*.}
+url=$(printf 'tmp.cmcenroe.me/%x%s.%s' "$ts" "$rand" "$ext")
+
+scp -q "$1" "tmp.cmcenroe.me:/usr/local/www/$url"
+
+echo "https://$url"
+type pbcopy > /dev/null && echo -n "https://$url" | pbcopy
780b3c7&follow=1'>Set TABSIZE=4June McEnroe 2022-06-02Do basic match highlightingJune McEnroe 2022-06-02Clean up parsing a littleJune McEnroe 2022-06-02Don't duplicate path stringJune McEnroe 2022-06-02Use stderr instead of /dev/tty, realloc buffer if lines too longJune McEnroe 2022-06-02Add initial working version of qfJune McEnroe 2022-05-29Set prompt for okshJune McEnroe